Subject: Re: bug#51727: add an optional flag to -P to disable JIT

From: Paul Eggert <[email-masked]>
Date: Tue, 9 Nov 2021 16:40:56 -0800

On 11/9/21 11:04, Carlo Marcelo Arenas Belón wrote:
> Severity: wishlist
> 
> There are times, when the expression is too simple or will not be used too
> often to justify the extra time in -P that is required for JIT compilation.

How much extra time are we talking about? I would expect users would 
bother thinking about this flag only when it significantly helps 
performance, which sorta implies large inputs, which means the 
expression will be used often, which means users won't want to use nojit.

Anyway, if we do this sort of thing I suggest waiting for PCRE2 and 
doing it then. Also, our flags should use the same spelling as PCRE2 
(which suggests that we use 'no-jit' rather than 'nojit'). And what 
other PCRE2 flags might users want to specify?